Bug 141381 - FAT32 file system modify time-stamp changes after remount
FAT32 file system modify time-stamp changes after remount
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 15:15 EST by J. Lewis Muir
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J. Lewis Muir 2004-11-30 15:15:45 EST
Description of problem:
The FAT32, FAT16, and FAT12 file systems only have a modify time-stamp
resolution of 2 seconds. But the stat command shows a time-stamp of a higher
resolution. After a remount of the file system, the modify time-stamp has been
"rounded" down. This "rounding" should take place immediately, not after a
remount.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. # mount -t vfat -o 'nodev,uid=502,gid=502,umask=007' /dev/sdb1 /mnt/exthd1
2. $ touch -t 200411301337.03 /mnt/exthd1/time-stamp-test.txt
3. $ stat /mnt/exthd1/time-stamp-test.txt
     File: `/mnt/exthd1/time-stamp-test.txt'
     Size: 0               Blocks: 0          IO Block: 2048   Regular File
   Device: 811h/2065d      Inode: 149223      Links: 1
   Access: (0770/-rwxrwx---)  Uid: (  502/  jlmuir)   Gid: (  502/  jlmuir)
   Access: 2004-11-30 13:37:03.000000000 -0600
   Modify: 2004-11-30 13:37:03.000000000 -0600
   Change: 2004-11-30 13:37:58.000000000 -0600
4. # umount /mnt/exthd1
5. # mount -t vfat -o 'nodev,uid=502,gid=502,umask=007' /dev/sdb1 /mnt/exthd1
6. $ stat /mnt/exthd1/time-stamp-test.txt
     File: `/mnt/exthd1/time-stamp-test.txt'
     Size: 0               Blocks: 0          IO Block: 2048   Regular File
   Device: 811h/2065d      Inode: 149224      Links: 1
   Access: (0770/-rwxrwx---)  Uid: (  502/  jlmuir)   Gid: (  502/  jlmuir)
   Access: 2004-11-30 13:37:02.000000000 -0600
   Modify: 2004-11-30 13:37:02.000000000 -0600
   Change: 2004-11-30 13:37:58.000000000 -0600


Actual Results:  The access and modify times of the time-stamp-test.txt file are set with 
the
seconds component of the time set to 3. The stat command shows that the file
system has stored this value. But after the file system is unmounted and then
mounted again, the stat command shows that the value of 3 in the seconds
component of the time is now 2.


Expected Results:  The modify time-stamp should not be stored at a higher resolution 
than is
actually supported by the file system. The "rounding" should show up
immediately. In step 3, the stat command should show exactly what the stat
command displayed in step 6. The time-stamp information should not change
after a remount.


Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:12:42 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.